petsc-3.12.1 2019-10-22
Report Typos and Errors

# ISColoringGetIS

Extracts index sets from the coloring context. Each is contains the nodes of one color

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISColoringGetIS(ISColoring iscoloring,PetscCopyMode mode, PetscInt *nn,IS *isis[])

Collective on ISColoring

### Input Parameter

| iscoloring | - the coloring context
| mode | - if this value is PETSC_OWN_POINTER then the caller owns the pointer and must free the array of IS and each IS in the array

### Output Parameters

| nn | - number of index sets in the coloring context
| is | - array of index sets

### See Also

ISColoringRestoreIS(), ISColoringView(), ISColoringGetColoring()

### Level

advanced

### Location

src/vec/is/is/utils/iscoloring.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages